Subject: Z bit in PPP bridged LAN Traffic

From: Tom Mistretta <[email-masked]>
Date: Thu, 13 Nov 1997 16:08:20 -0500

Hello,

This may be a question that has been asked before, but
I can't find any reference to it in the '97 archives,
so please pardon any perceived abuse of this list :^)

In RFC1638, "PPP Bridging Control Protocol (BCP)", on page
12-13 in section 4.2 (Bridged LAN traffic), there is a picture
of the frame format for 802.3/802.5/FDDI media types.  There
is a "Z" bit in the flags field whose description reads:

bit Z: Set if IEEE 802.3 Pad must be zero filled to minimum
size

I interpret this as indicating that short (less than 802.3
minimum frame size) frames can be sent over PPP and the
Z bit signals to the receiver that the current frame is
indeed short and must be zero padded before being forwarded
onto native 802.3 media.  Is this correct?  The only reason
I ask is that the wording is a little confusing to me: "...IEEE
802.3 *PAD* must be...".  I would have expected it it to say
"frame" or "pdu" instead of "pad", as there is no pad 
explicitly discussed in the document.

Thanks in advance,

-- 
Tom Mistretta                           3Com Switching
Division                                 
[email-masked]                          80 Central St.
978.264.1552                            Boxborough, MA 01719

---

From: Steve Senum <[email-masked]>
Date: Fri, 14 Nov 1997 08:19:57 -0600

Not entirely.  Not all receivers can deal with restoring
IEEE 802.3/Ethernet pad on a frame, like over very
high speed media, which may have most of its
frame processing implemented in hardware. In such
cases the Z-bit can be used to signal when extra
processing is needed on a frame, or the receiver can
NAK the Tinygram-Compression option indicating
to never strip the IEEE 802.3/Ethernet pad in the
first place (setting the Z-bit in the process).

But I would agree that not every implementation would
need to check the Z-bit on receive frames.

Regards,
Steve Senum

> ----------
> From: 	Venkat Prasad[SMTP:[email-masked]]
> Sent: 	Thursday, November 13, 1997 8:17 PM
> To: 	Steve Senum
> Cc: 	[email-masked]; 'Tom Mistretta'; [email-masked]
> Subject: 	Re: Z bit in PPP bridged LAN Traffic 
> 
> 
> Also, the Z(ero compressed?) bit is really redundant because if you
> receive a
> 802.3/Ethernet frame that is less than minimum you know the trailing
> padding has
> been removed. It is however useful if one is paranoid about padding
> with Zeroes
> when recreating the frame and forwarding elsewhere
> 
> - vp
> 
> 
>